classification
Title: Cleanup for "dis" module documentation
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: BreamoreBoy, berker.peksag, docs@python, ncoghlan, python-dev, svenberkvens
Priority: normal Keywords: patch

Created on 2014-02-05 13:56 by svenberkvens, last changed 2015-03-02 04:35 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
dis-doc.patch svenberkvens, 2014-02-05 13:56 Patch for the dis module documentation review
Messages (4)
msg210314 - (view) Author: Sven Berkvens-Matthijsse (svenberkvens) Date: 2014-02-05 13:56
The documentation for the "dis" module has a wrong opcode name in it (POP_STACK instead of POP_TOP). Furthermore, the patch fixes inconsistent use of markers for code and opcodes.
msg235816 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-02-12 12:06
Could someone review the patch please, it doesn't appear to contain anything that's contentious.
msg237014 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-03-02 04:33
New changeset 617feb5d8af2 by Berker Peksag in branch '3.4':
Issue #20521: Change ``TOS`` to TOS in dis documentation.
https://hg.python.org/cpython/rev/617feb5d8af2

New changeset a331d71bdc0a by Berker Peksag in branch 'default':
Issue #20521: Change ``TOS`` to TOS in dis documentation.
https://hg.python.org/cpython/rev/a331d71bdc0a
msg237015 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2015-03-02 04:35
Thanks for the patch, Sven. Most of the changes in your patch have already been fixed in issue 22845. Just committed the "``TOS`` -> TOS" part of the patch.
History
Date User Action Args
2015-03-02 04:35:09berker.peksagsetstatus: open -> closed

title: [PATCH] Cleanup for "dis" module documentation -> Cleanup for "dis" module documentation
nosy: + berker.peksag

messages: + msg237015
resolution: fixed
stage: patch review -> resolved
2015-03-02 04:33:53python-devsetnosy: + python-dev
messages: + msg237014
2015-02-12 12:06:47BreamoreBoysetnosy: + BreamoreBoy

messages: + msg235816
versions: + Python 3.5, - Python 3.3
2014-02-06 01:26:53pitrousetversions: + Python 2.7, Python 3.3
2014-02-05 19:29:08berker.peksagsetnosy: + ncoghlan

stage: patch review
2014-02-05 13:56:12svenberkvenscreate